Page MenuHomePhabricator

[BUG] Can't edit article when arrived via redirect
Closed, ResolvedPublic

Description

How many times were you able to reproduce it?

Steps to reproduce

  1. Go to a page which links to a redirect
  2. Press the redirect link
  3. On the result page, try to edit the page

  1. Go to the History tab
  2. Press the page with the correct (non-redirect) title
  3. Try to edit the page

Expected results

I should be editing the page I view, not the redirect page which I got redirected from.

Actual results

I am editing the page which has the redirect on it, not the final page I read.

Screenshots

Environments observed

App version: 6.0.0 (1470)
OS versions: iOS11.4.1
Device model: iPhone 8
Device language: English

Event Timeline

Josve05a created this task.Aug 3 2018, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2018, 11:36 PM
Josve05a updated the task description. (Show Details)Aug 3 2018, 11:36 PM
Josve05a added a project: User-Josve05a.
Josve05a moved this task from Backlog to iOS App on the User-Josve05a board.
JMinor triaged this task as Normal priority.Aug 6 2018, 6:54 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.
cmadeo added a project: Audiences-QA.
cmadeo added a subscriber: cmadeo.

Working for me, thanks @NHarateh_WMF !

Testing with Wikipedia 6.0.1 (1483) app and iOS 11.2.2 (iPhone 7). According to the screencaps below in particular the third one which looks different from the video this is fixed.


ABorbaWMF added a subscriber: ABorbaWMF.

Working for me on 6.0.1 (1483)

JMinor closed this task as Resolved.Sep 24 2018, 10:09 PM